Subject: Re: [bug#44786] [PATCH] gnu: Add python-xlsxwriter.

From: Efraim Flashner <[email-masked]>
Date: Wed, 25 Nov 2020 09:37:52 +0200

On Tue, Nov 24, 2020 at 01:55:30PM +0100, Nicolas Goaziou wrote:
> Hello,
> 
> Vinicius Monego <[email-masked]> writes:
> 
> > * gnu/packages/python-xyz.scm (python-xlsxwriter): New variable.
> 
> Thank you.
> 
> > +       ;; There are no tests in the PyPI tarball.
> > +       (method git-fetch)
> 
> Is this the sole reason to not use PyPI here? If that's the case,
> I wonder if it's worth reconsidering, because using PyPI makes updates
> easier.
> 
> WDYT?
> 

It is standard for us to use a git checkout when the pypi release
doesn't have the tests packaged. It's not uncommon for python packages
to build correctly but fail to run, and the test suite almost always
catches those.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted